function [cover, cost] = openscpslow(fileScp)
% extract the cover matrix and cost vector from a standard scp file
% example: [cover,cost] = openscpslow('scp51.txt');

tStart=cputime;                 %get the current cpu time

fid=fopen(fileScp);             % create a file handle 

B=textscan(fid,'%n',1);         % read the number of rows into cell B
m=B{1};                         % get the integers out of B
B=textscan(fid,'%n',1);         % read the number of rows into cell B
n=B{1};                         % get the integers out of B

B=textscan(fid,'%n',n);         % read the costs into cell B
cost=sparse(B{1});              % get the integers out of B

cover=sparse(m,n);              % create a sparse cover matrix
for i=1:m                       % iterate over the rows
    B=textscan(fid,'%n',1);     % how cols cover this row
    B=textscan(fid,'%n',B{1});  % get this cols
    cover(i,B{1})=1;            % set this row in the cover
end

disp(['time to read file: ' ...
         num2str(cputime-tStart )]); % display elapsed time
